Bug 620413 - perl-Test-Memory-Cycle - Request for EL-6 branch
Summary: perl-Test-Memory-Cycle - Request for EL-6 branch
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-Test-Memory-Cycle
Version: el6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: rob
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 620410
Blocks: 620423
TreeView+ depends on / blocked
 
Reported: 2010-08-02 13:28 UTC by Paul Howarth
Modified: 2011-04-30 21:53 UTC (History)
2 users (show)

Fixed In Version: 1.04-7.1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-04 10:25:21 UTC
tibbs: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 621089 None None None Never

Description Paul Howarth 2010-08-02 13:28:41 UTC
perl-Test-Memory-Cycle is included in EL-6 optional packages, but not on all
architectures (e.g. it is missing from ppc64), which is a problem when building
packages that depend on it in EPEL-6.

Please could we have an EPEL EL-6 branch built using the RHEL-6 SRPM to provide
it for the other arches.  I (pghmcfc) am willing to (co)maintain.

Comment 1 Paul Howarth 2010-08-02 15:45:42 UTC
Package Change Request
======================
Package Name: perl-Test-Memory-Cycle
New Branches: EL-6
Owners: pghmcfc rob
InitialCC: perl-sig

Comment 2 Kevin Fenzi 2010-08-03 18:27:09 UTC
GIT done (by process-git-requests).

(rob is not in the packager group so they were not added)

Comment 3 Paul Howarth 2010-08-04 10:25:21 UTC
Branched and built:

http://koji.fedoraproject.org/koji/buildinfo?buildID=188178

Unfortunately the perl-Test-Memory-Cycle-1.04-7.1.el6 package included in EL-6 Beta 2 refresh fails to build from source because its test suite uses perl(CGI), which has been split out from the main perl package in EL-6 since the perl-Test-Memory-Cycle package was originally built. Hence I had to add an additional build requirement of perl(CGI) to get it to build, but the resulting binary package will be identical.

I have raised this issue as Bug #621089

Comment 4 Paul Howarth 2011-04-08 16:09:13 UTC
Package Change Request
======================
Package Name: perl-Test-Memory-Cycle
New Branches: EL-4
Owners: pghmcfc
InitialCC: perl-sig

Comment 5 Jason Tibbitts 2011-04-08 19:41:29 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-04-15 20:38:37 UTC
perl-Test-Memory-Cycle-1.04-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Test-Memory-Cycle-1.04-1.el4

Comment 7 Fedora Update System 2011-04-30 21:53:09 UTC
perl-Test-Memory-Cycle-1.04-1.el4 has been pushed to the Fedora EPEL 4 stable repository.


Note You need to log in before you can comment on or make changes to this bug.